Package com.collibra.dgc.core.api.dto.instance.responsibility

# Class FindResponsibilitiesRequest.Builder

Object
Builder

Enclosing class:
  `FindResponsibilitiesRequest`

public static final class FindResponsibilitiesRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  This field will become private in the next major release.
  `protected int`
  `offset`
  Deprecated.
  This field will become private in the next major release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindResponsibilitiesRequest`
  `build()`
  `FindResponsibilitiesRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindResponsibilitiesRequest.Builder`
  `excludeEmptyGroups(boolean excludeEmptyGroups)`
  `FindResponsibilitiesRequest.Builder`
  `globalOnly(boolean globalOnly)`
  `FindResponsibilitiesRequest.Builder`
  `includeInherited(boolean includeInherited)`
  `FindResponsibilitiesRequest.Builder`
  `limit(int limit)`
  `FindResponsibilitiesRequest.Builder`
  `offset(int offset)`
  `FindResponsibilitiesRequest.Builder`
  `ownerIds(List<UUID> ownerIds)`
  `FindResponsibilitiesRequest.Builder`
  `resourceIds(List<UUID> resourceIds)`
  `FindResponsibilitiesRequest.Builder`
  `roleIds(List<UUID> roleIds)`
  `FindResponsibilitiesRequest.Builder`
  `sortField(FindResponsibilitiesRequest.SortField sortField)`
  `FindResponsibilitiesRequest.Builder`
  `sortOrder(SortOrder sortOrder)`
  `String`
  `toString()`
  `FindResponsibilitiesRequest.Builder`
  `type(FindResponsibilitiesRequest.TypeMatchMode type)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated protected int offset
    Deprecated.
    This field will become private in the next major release.

  - ### limit

    @Deprecated protected int limit
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### offset

    public FindResponsibilitiesRequest.Builder offset(int offset)

  - ### limit

    public FindResponsibilitiesRequest.Builder limit(int limit)

  - ### but

    @Deprecated public FindResponsibilitiesRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindResponsibilitiesRequest.builder()`
    Clone method for this Builder.

  - ### resourceIds

    public FindResponsibilitiesRequest.Builder resourceIds(List<UUID> resourceIds)
    Returns:
      `this`.

  - ### ownerIds

    public FindResponsibilitiesRequest.Builder ownerIds(List<UUID> ownerIds)
    Returns:
      `this`.

  - ### roleIds

    public FindResponsibilitiesRequest.Builder roleIds(List<UUID> roleIds)
    Returns:
      `this`.

  - ### includeInherited

    public FindResponsibilitiesRequest.Builder includeInherited(boolean includeInherited)
    Returns:
      `this`.

  - ### globalOnly

    public FindResponsibilitiesRequest.Builder globalOnly(boolean globalOnly)
    Returns:
      `this`.

  - ### sortField

    public FindResponsibilitiesRequest.Builder sortField(FindResponsibilitiesRequest.SortField sortField)
    Returns:
      `this`.

  - ### sortOrder

    public FindResponsibilitiesRequest.Builder sortOrder(SortOrder sortOrder)
    Returns:
      `this`.

  - ### type

    public FindResponsibilitiesRequest.Builder type(FindResponsibilitiesRequest.TypeMatchMode type)
    Returns:
      `this`.

  - ### excludeEmptyGroups

    public FindResponsibilitiesRequest.Builder excludeEmptyGroups(boolean excludeEmptyGroups)
    Returns:
      `this`.

  - ### build

    public FindResponsibilitiesRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`